//
//  ReassuranceIndicator.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 22/01/2025.
//

import Foundation

// Modèle pour un indicateur de réassurance
struct ReassuranceIndicator: Identifiable {
    let id = UUID()
    let icon: SQIconName
    let text: String
}

// Extension de Pricing pour gérer les indicateurs selon l'abonnement
extension Pricing {
    var reassuranceIndicators: [ReassuranceIndicator] {
        switch self {
        case .standard, .premier:
            return [
                ReassuranceIndicator(icon: .lock_keyhole_open, text: "Sans engagement"),
                ReassuranceIndicator(icon: .euro_sign, text: "Pas de commission sur vos prestations"),
                ReassuranceIndicator(icon: .comments, text: "Assistance prioritaire")
            ]
        case .premierPro:
            return [
                ReassuranceIndicator(icon: .users, text: "4 millions de membres"),
                ReassuranceIndicator(icon: .euro_sign, text: "Pas de commission sur vos prestations"),
                ReassuranceIndicator(icon: .comments, text: "Assistance prioritaire")
            ]
        }
    }
}
